package services

import (
	"eta/eta_hub/models/data_manage"
	"fmt"
)

func GetEdbInfoDataList(edbInfo *data_manage.EdbInfo) (edbData []*data_manage.EdbDataItem, err error) {
	// 获取指标数据
	dataOb := new(data_manage.EdbData)
	dataList, e := dataOb.GetItemsBySourceAndCode(edbInfo.Source, edbInfo.SubSource, edbInfo.EdbCode, edbInfo.StartDate, []string{}, "")
	if e != nil {
		err = fmt.Errorf("获取失败,Err:" + e.Error())
		return
	}
	edbData = make([]*data_manage.EdbDataItem, 0)
	for _, v := range dataList {
		edbData = append(edbData, data_manage.FormatEdbData2Item(v))
	}

	return
}